With the recent update to xserver-xorg-video-intel, system boots to a black screen

Bug #1389904 reported by Aere Greenway on 2014-11-05
52
This bug affects 8 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
High
Unassigned

Bug Description

The latest system updates for Lubuntu 14.04 includes an update to the i915 display driver, which this machine uses.

After applying updates and rebooting, at the end of the boot process, where normally the login screen appears, the screen remains blank (with a black background color).

That change has rendered my Lubuntu 14.04 partition completely unusable, even when booting earlier versions of the kernel. Regardless the kernel level booted, the system now boots to a blank screen.

Because of this, I had to report the error on my UbuntuStudio 14.04 partition, to which I have not yet applied updates. So the level of the Intel i915 driver package in this error report is the version prior to the updated version that (probably) caused the problem.

1. The release of ubuntu with the problem is Lubuntu 14.04.1, with a kernel version ending in ".39".

2. The last working version of xserver-xorg-video-intel is 2:2.99.910-0ubuntu1 I can't boot by Lubuntu partition anymore to tell you the version number that fails, but it is later than the indicated version.

3. Prior to installing system updates, my Lubuntu 14.04.01 system worked fine, and I was able to boot it and perform my suite of tests (it's a test system). After applying updates, it boots to a blank screen, and I cannot do anything with it. I expected the login screen to appear, but it doesn't, and there is no error message.

4. After applying system updates I expected my system to reboot normally, allowing me to login. Instead, a blank screen is displayed, with no error message, and the login screen does not appear after many minutes of waiting. If I hit the power button, it initiates shutdown. Hitting several keyboard characters (or typing my password to the blank screen) had no effect.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-32.57-lowlatency 3.13.11.4
Uname: Linux 3.13.0-32-lowlatency i686
ApportVersion: 2.14.1-0ubuntu3.2
Architecture: i386
CurrentDesktop: XFCE
Date: Wed Nov 5 16:13:54 2014
InstallationDate: Installed on 2014-04-28 (191 days ago)
InstallationMedia: Ubuntu-Studio 14.04 LTS "Trusty Tahr" - Release i386 (20140416.3)
SourcePackage: xserver-xorg-video-intel
UpgradeStatus: No upgrade log present (probably fresh install)

Aere Greenway (aere) wrote :
Aere Greenway (aere) wrote :

The system on which I reported the problem uses the low-latency kernel, but the system having the problem does not.

I had to report the problem on my UbuntuStudio partition on the same machine, which has not yet been updated (and won't be updated until this problem has been fixed).

Aere Greenway (aere) wrote :

An lspci command on this machine yields the following information:

00:00.0 Host bridge: Intel Corporation 82815 815 Chipset Host Bridge and Memory Controller Hub (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82815 Chipset Graphics Controller (CGC) (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 02)
00:1f.0 ISA bridge: Intel Corporation 82801BA ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801BA IDE U100 Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801BA/BAM SMBus Controller (rev 02)
00:1f.4 USB controller: Intel Corporation 82801BA/BAM USB Controller #1 (rev 02)
02:08.0 Ethernet controller: Intel Corporation 82801BA/BAM/CA/CAM Ethernet Controller (rev 01)
02:09.0 USB controller: NEC Corporation OHCI USB Controller (rev 43)
02:09.1 USB controller: NEC Corporation OHCI USB Controller (rev 43)
02:09.2 USB controller: NEC Corporation uPD72010x USB 2.0 Controller (rev 04)
02:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 06)
02:0a.1 Input device controller: Creative Labs SB Live! Game Port (rev 06)

sysinfo yields the following information about the graphics card:

VGA compatible controller
      Intel Corporation 82815 Chipset Graphics Controller (CGC) (rev 02) (prog-if 00 [VGA controller])
      Subsystem: Compaq Computer Corporation Device 001a

Aere Greenway (aere) wrote :

The level of the package that failed (xserver-xorg-video-intel) is:

2:2.99.910-0ubuntu1.2 (trusty-updates)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Walter Lapchynski (wxl) wrote :

It appears that this affects a very specific chip. That being said, I can't do much to help diagnose this. With that in mind, it would be useful to find out exactly what conditions are required for this to occur. Is it only that particular package? It should be tested across different OS versions and flavors. Also, what other chips this may apply to. It's clearly a regression of some kind because it did work, but I can't push this upstream without adequate information.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → High
Brian Murray (brian-murray) wrote :

Running apport-collect 1389904 would be useful as it will automatically gather information relevant to the xserver-xorg-video-intel package.

tags: added: regression-update

On 11/06/2014 11:37 AM, Walter Lapchynski wrote:
> It appears that this affects a very specific chip. That being said, I
> can't do much to help diagnose this. With that in mind, it would be
> useful to find out exactly what conditions are required for this to
> occur. Is it only that particular package? It should be tested across
> different OS versions and flavors. Also, what other chips this may apply
> to. It's clearly a regression of some kind because it did work, but I
> can't push this upstream without adequate information.
>
> ** Changed in: xserver-xorg-video-intel (Ubuntu)
> Status: Confirmed => Incomplete
>
> ** Changed in: xserver-xorg-video-intel (Ubuntu)
> Importance: Undecided => High
>
Walter:

I posted this information as an addition to the bug-report, but in case
you didn't see it there, I am including it in this e-mail also:

An lspci command on this machine yields the following information:

00:00.0 Host bridge: Intel Corporation 82815 815 Chipset Host Bridge and Memory Controller Hub (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82815 Chipset Graphics Controller (CGC) (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 02)
00:1f.0 ISA bridge: Intel Corporation 82801BA ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801BA IDE U100 Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801BA/BAM SMBus Controller (rev 02)
00:1f.4 USB controller: Intel Corporation 82801BA/BAM USB Controller #1 (rev 02)
02:08.0 Ethernet controller: Intel Corporation 82801BA/BAM/CA/CAM Ethernet Controller (rev 01)
02:09.0 USB controller: NEC Corporation OHCI USB Controller (rev 43)
02:09.1 USB controller: NEC Corporation OHCI USB Controller (rev 43)
02:09.2 USB controller: NEC Corporation uPD72010x USB 2.0 Controller (rev 04)
02:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 06)
02:0a.1 Input device controller: Creative Labs SB Live! Game Port (rev 06)

sysinfo yields the following information about the graphics card:

VGA compatible controller
       Intel Corporation 82815 Chipset Graphics Controller (CGC) (rev 02) (prog-if 00 [VGA controller])
       Subsystem: Compaq Computer Corporation Device 001a

--
Sincerely,
Aere

Aere Greenway (aere) wrote :

On 11/06/2014 11:37 AM, Walter Lapchynski wrote:
> It should be tested across
> different OS versions and flavors.
Walter:

I could test it on my UbuntuStudio partition, but if it has the same
problem, I will have no bootable partition on that machine.

One other piece of evidence regarding it, is that the Lubuntu 14.10 live
USB will not boot into it.

--
Sincerely,
Aere

Aere Greenway (aere) wrote :

On 11/06/2014 11:46 AM, Brian Murray wrote:
> Running apport-collect 1389904 would be useful as it will automatically
> gather information relevant to the xserver-xorg-video-intel package.
Brian:

I would love to be able to do this on that system, but unfortunately,
the updates rendered my system un-bootable, so I can't do anything on
that system any more.

I discovered it was un-bootable when I re-booted the system after
applying updates.

--
Sincerely,
Aere

Brian Murray (brian-murray) wrote :

Can you not switch to a virtual terminal? If so then you should be able to install the old version of the package (provided you have a network connection) via a command like "sudo apt-get install xserver-xorg-video-intel=2:2.99.910-0ubuntu1". The old version of the .deb might also exist in /var/cache/apt/archives in which case you could install it with dpkg.

Aere Greenway (aere) wrote :

On 11/06/2014 12:42 PM, Brian Murray wrote:
> Can you not switch to a virtual terminal? If so then you should be able
> to install the old version of the package (provided you have a network
> connection) via a command like "sudo apt-get install xserver-xorg-video-
> intel=2:2.99.910-0ubuntu1". The old version of the .deb might also
> exist in /var/cache/apt/archives in which case you could install it with
> dpkg.
Brian:

That sounds like an excellent idea to try.

Unfortunately, before you mentioned it in this e-mail, I didn't know
such a thing existed.

Can you point me at some documentation where I can learn about it (I
don't mind reading manuals). And will virtual terminals use my
specified keyboard layout (English Dvorak)?

In the past, command-line 'rescue' utilities have had this annoying
habit of 'dumping' me in a qwerty keyboard layout, and I don't type
qwerty. Having to type qwerty on a dvorak keyboard with dvorak key
arrangement is a nightmare.

--
Sincerely,
Aere

Aere Greenway (aere) wrote :

On 11/06/2014 11:37 AM, Walter Lapchynski wrote:
> It appears that this affects a very specific chip. That being said, I
> can't do much to help diagnose this. With that in mind, it would be
> useful to find out exactly what conditions are required for this to
> occur. Is it only that particular package? It should be tested across
> different OS versions and flavors. Also, what other chips this may apply
> to. It's clearly a regression of some kind because it did work, but I
> can't push this upstream without adequate information.
Walter:

Please take into consideration, that while this fix is published, every
user of an affected machine will have their system rendered un-bootable,
even if they specify a prior kernel level. And this will be observed,
to their great dismay, on trying to reboot after applying system
updates, with the only solution available to them, being to re-install
the system, and don't apply updates.

As such, this is a very serious problem.

I'm sure it only affects certain machines, since I have applied the same
update to my current primary machine (which used newer Intel graphics,
using the same package), and there was no problem.

If there were a way for the fix to be temporarily withdrawn from service
until this problem is resolved, it might save a lot of people a lot of
problems.

--
Sincerely,
Aere

sudodus (nio-wiklund) wrote :

I made a fresh install into an old IBM Thinkcentre 8187-73G with Intel 82865G Integrated Graphics Controller.

Lubuntu 14.04.1 and updated/dist-upgraded it. The only tweak I tested was UXA acceleration.

Section "Device"
 Identifier "Intel Graphics"
 Driver "intel"
 Option "AccelMethod" "uxa"
EndSection

The computer works and seems not affected by this bug (with a clean up to date Lubuntu 14.04).

Aere Greenway (aere) wrote :

When I boot Lubuntu 14.10 from a live-USB, it appears to do the same thing as when I rebooted after the system updates.

It goes through the boot process, displaying "Lubuntu 14.10" with the 4 flashing dots (displayed in text-mode with a light-blue background). Eventually, the background changes to black, then some text messages flash-by (to quick to read), and then I get the blank, black screen (which doesn't respond to input) at the point I should see the Lubuntu live-USB desktop.

When I hit the power button, it initiates shut-down, shutting-down normally.

Aere Greenway (aere) wrote :

I tried a system-recovery boot of the '-39' kernel.

I could 'drop to root prompt', and do apt-get commands, but on attempting that, it complained that it was not using a read-only lock file, and the apt-get commands would fail because it could not get the lock.

The root command prompt is in my dvorak keyboard layout, so I can easily type things.

What do I need to type to remove the latest version of the package (xserver-xorg-video-intel 2:2.99.910-0ubuntu1.2), so it goes back to using the xserver-xorg-video-intel 2:2.99.910-0ubuntu1 version?

If I could do that, I could at least verify that it is this package version that is causing the problem. At this point, I am only guessing that is the culprit.

Aere Greenway (aere) wrote :

I did another test on this problem.

On my UbuntuStudio partition of this machine, in Synaptic Package Manager, I locked the version of xserver-xorg-video-intel at version 2:2.99.910-0ubuntu1. Then I applied system updates.

On re-booting after applying updates, the system booted normally.

I think this evidence strongly suggests that the xserver-xorg-video-intel package is causing the problem.

But where I have no way of rescueing a system destroyed by this problem, I don't dare run the test where I unlock the version on this package, and apply updates again.

sudodus (nio-wiklund) wrote :

Aere reported (comment #15)

"When I boot Lubuntu 14.10 from a live-USB, it appears to do the same
thing as when I rebooted after the system updates."

I assume 'the same thing as with 14.04.1 LTS after the system updates'.

So I booted my IBM Thinkcentre (described in comment #14) with Lubuntu 14.10 from a live-USB. It
works, so it is neither affected by this bug in 14.04.1 LTS nor in 14.10.

LHoust (houston-greenfield) wrote :

The On-board i815 Graphics of an ASUS CUSL2 Motherboard boots to an Entirely White Screen when Xubuntu 14.04.1/Mythbuntu 14.04.1 Systems are booted. Virtual Terminals are mostly White, with Characters which are NOT legible. Typing "Blindling" into a Virtual Terminal, I succeeded in installing openssh-server/NX and synaptic so that I could Downgrade/Lock xorg-video-intel 2:2.99.910-0ubuntu1.2 to xorg-video-intel 2:2.99.910-0ubuntu1. Although the Login Screen and Xorg Screens are working, the Virtual Terminals are still 'Garbled".

Within the Xorg.0.log the following was reported:

[ 32.420] (EE) Backtrace:
[ 32.421] (EE) 0: /usr/bin/X (xorg_backtrace+0x4f) [0xb773deaf]
[ 32.421] (EE) 1: /usr/bin/X (0xb7596000+0x1abc94) [0xb7741c94]
[ 32.422] (EE) 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb757340c]
[ 32.422] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0xb6b50000+0x13d40) [0xb6b63d40]
[ 32.422] (EE) 4: /usr/bin/X (InitOutput+0xaf3) [0xb7618e53]
[ 32.422] (EE) 5: /usr/bin/X (0xb7596000+0x40af7) [0xb75d6af7]
[ 32.422] (EE) 6: /usr/bin/X (0xb7596000+0x2aa3e) [0xb75c0a3e]
[ 32.422] (EE) 7: /lib/i386-linux-gnu/libc.so.6 (__libc_start_main+0xf3) [0xb717ba83]
[ 32.423] (EE) 8: /usr/bin/X (0xb7596000+0x2aa74) [0xb75c0a74]
[ 32.423] (EE)
[ 32.423] (EE) Segmentation fault at address 0xb6c88d72
[ 32.423] (EE)
Fatal server error:
[ 32.423] (EE) Caught signal 11 (Segmentation fault). Server aborting
[ 32.423] (EE)
[ 32.423] (EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
[ 32.423] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 32.423] (EE)
[ 32.440] (EE) Server terminated with error (1). Closing log file.

Aere Greenway (aere) wrote :
Download full text (3.2 KiB)

Another user ran into the same problem. Here are excerpts from the e-mail stream:

Using Lubuntu 14.04. After a software update/reboot yesterday could not access my desktop. Can still access the GRUB menu. How can I get my desktop back? I want to back up my files before anything else unexpected happens!

I'm guessing that I got a blank screen after updating software and it automatically upgraded my 14.04 to 14.10 at the same time. Only a guess that the new version doesn't recognize my Intel graphics driver (I've got a Dell Dimension 3100 that I've been planning to replace after 10 years this month and then this happened).

So I've tried to boot from a USB with 14.10 but computer wouldn't recognize for some reason. Tried burning a CD but apparently not enough space to burn the Standard Image Disc Version. Now I'm trying to load a USB with the SID version and then try booting off that.

I had created a USB boot when I originally installed 14.04 and it did work recently when I tried to access my files. But it only accessed old files, not the ones that I've created/added to over the past six months. Don't understand that at all.

On Thu, Nov 20, 2014 at 4:14 PM, Aere Greenway <email address hidden> wrote:

    On 11/20/2014 11:54 AM, Adrian Blake wrote:
> Did exactly as you said to restore my system but didn't work. I get a basic Lubuntu desktop, not my old one. I did manage to copy over my files to an external HD. All I need now is to retrieve my Firefox and Thunderbird profiles. Only problem is that all I can find is a FF profile that appears to have been created yesterday (when I installed the new 14.04) Does that mean I've lost all my bookmarks (and email)?
    Adrian:

    I'm sorry that didn't work for you. I tend to forget that a lot of people on this list do a lot of custom configuration.

    I tend to assume people just use the system the way it comes, and given those assumptions, the numbered steps ought to have worked. Of course, you would get a Lubuntu desktop without custom configuration changes. But simple changes, such as changing the desktop 'wallpaper' could easily be done again.

    The big thing the numbered steps were to achieve, was that after installing your Lubuntu 14.04 system, and applying updates, the system would no longer boot to a blank screen. Did it at least achieve that goal?

    The Firefox bookmarks are probably saved in 'hidden' (.dot) files - which files I don't know. Because of this, before upgrading to a new system level, I export my Firefox bookmarks to a file, which I can later import. Knowing which files, you could copy those hidden files to your new system.

    Where your system booted to a blank screen on a normal update, you obviously didn't have the opportunity to export your bookmarks. Usually, system updates just work without problems, but unfortunately, this update was catastrophic.

   * * * * *

Thank you! Thank you! Thank you! Got the desktop back AND backed up all my files AND found/saved my .firefox and .thunderbird files! So appears that no data was lost. Was pretty stressed out for a few days - I'm a newbie with Linux - but all worth the experience and results. Reall...

Read more...

Aere Greenway (aere) wrote :

This bug is classified as "Incomplete", but in reviewing the material, I don't know what information you are needing to continue work on the bug.

Could you please let me know what additional information you need?

i have some problem.

Aere Greenway (aere) wrote :

I think Adriano's problem (shown in a youtube video) is different than the one I reported.

I just tried booting the live CD of Lubuntu 14.04.01 on the machine (which still uses the version of xserver-xorg-video-intel that works (before the system update), and it boots to the desktop with no problem.

The problem is introduced by a system update to 14.04 (or 14.04.01), and is already in 14.10.

Aere Greenway (aere) wrote :

I just did a fresh install of Lubuntu 14.04.1 on my HP DeskPro machine. It rebooted and let me login to the desktop the same as it did before I encountered the problem I reported.

I then used synaptic package manager (package menu) to "Lock Version" of the xserver-xorg-video-intel package to the initially installed version (2:2.99.910-0ubuntu1).

I then installed updates. At the end of that process (before rebooting), I checked (using synaptic package manager) the state of the xserver-xorg-video-intel package. It showed that the installed version was 2:2.99.910-0ubuntu1.3, and that the latest available version was 2:2.99.910-0ubuntu1.

I then rebooted, and this time, it booted to a blank (but white) screen. It never gets to the point where either the mouse cursor appears, or the login-screen appears.

I tried rebooting the recovery version of the latest kernel, and it booted to a blank (black) screen. I saw no error messages that gave any hint of the problem.

I tried rebooting the prior kernel (that was installed with 14.04.1), and it also booted to a blank (white) screen.

My UbuntuStudio system for which this process worked before (posted above), shows that the installed version is 2:2.99.910-0ubuntu1.2, and that the latest available version is 2:2.99.910-0ubuntu1. My UbuntuStudio system still boots and works. I applied updates to it again, and it still works (xserver-xorg-video-intel was not updated in those updates).

If we could use a virtual machine that emulates specific chips, we could check more on this ...

We experience the X crash with every PC with Intel 810/815 chipset and anything newer than xserver-xorg-video-intel=2:2.99.910-0ubuntu1.

I dedicated one of the computers for finding the problem. I tried to report a bug with:
sudo apport-bug /var/crash/_usr_bin_Xorg.0.crash

However, when I press "S: Send report (382.7 KB)", apport just exits without any message.

What can I do to help resolve this issue?

I untrapped X signals, let X crash, unpacked the .crash file, opened the CoreDump file with gdb.
This is the backtrace:

#0 I810PreInit (scrn=0xb86e8a10, flags=0) at ../../../../src/legacy/i810/i810_driver.c:253
#1 0xb756a1f3 in InitOutput (pScreenInfo=pScreenInfo@entry=0xb7728f20 <screenInfo>, argc=argc@entry=11, argv=argv@entry=0xbf86c674)
    at ../../../../hw/xfree86/common/xf86Init.c:634
#2 0xb7527dc7 in dix_main (argc=11, argv=0xbf86c674, envp=0xbf86c6a4) at ../../dix/main.c:200
#3 0xb7511b2e in main (argc=11, argv=0xbf86c674, envp=0xbf86c6a4) at ../../dix/stubmain.c:34

Sudeep Dasgupta (skdg) wrote :

I have an exactly similar issue. I have Intel 82815 graphics controller. On upgrading to Lubuntu 14.10, I hit the same white screen mentioned above. I had to finally reinstall Lubuntu 14.04 to get things working back. And I am not going ahead with the updates for now, which of course is not a long term solution.

The first time I boot up my computer, the grub screen shows and on selecting Ubuntu, the boot up text (I have disabled quiet option) is all garbled up. On rebooting, this starts showing correctly. The video colors are also distorted. This is when I see mp4 videos using gnome player.

The same mp4 video shows correctly when I see it in Windows on the same PC. So its not a hardware issue, but likely to do with video drivers. I have tried updating the drivers by downloading them from Intel website, but that hasn't helped. So looks like there is an existing problem with Intel 82815 drivers in 14.04 which has got worse in 14.10.

Lubuntu is very popular with old PCs where Intel 82815 is quite common. So its important to have a solution to this problem.

Aere Greenway (aere) wrote :

I re-tried my test where I installed Lubuntu 14.04.1, then applied updates.

This time, I un-checked the "X.org X server Intel i8xx ..." update (so it wouldn't be installed), and installed updates.

After installing updates, it shows that the 2:2.99.910-0ubuntu1 version is the version installed.

On reboot, it worked normally (no problem).

It appears that using Synaptic Package Manager to force the old version (or freeze the version), as I did in my prior test, did not have the expected effect (or had no effect).

I am able to use my Lubuntu 14.04.1 system on that machine by each time holding back the "X.org X server Intel i8xx ..." update (for the xserver-xorg-video-intel package).

John Hupp (john.hupp) wrote :

Running Lubuntu 14.04.1 i386 desktop with an Intel 815 video chipset, I confirm the same behavior with any version of xserver-xorg-video-intel newer than 2:2.99.910-0ubuntu1, but in terms of a workaround, I used Synaptic to force a downgrade, then I locked to that version, and so far software updater seems to respect that.

My troubleshooting and repair involved temporarily installing an ATI video card. After I found this bug, I used the ATI-equipped installation to get to the desktop and Synaptic, and when I removed the ATI I found that though I could now boot to the desktop under the i815, the Plymouth splash screen is broken (a white screen with some evenly spaced thin full-height vertical black bars across it). And so far I have not been able to fix it.

John Hupp (john.hupp) wrote :

Original bug reporter Aere Greenway points out that I mis-observed. The behavior with Plymouth was already present even before I started troubleshooting, and I confirmed it with a fresh installation on a spare hard drive. I had forgotten about the Plymouth behavior while I was dealing with the bigger problem of the blank/black screen.

John Hupp (john.hupp) wrote :

I have found that 3 low-spec machines (different makes/models), all running Intel 810 video chipsets, all stalled when trying to boot as *buntu thin clients. When I applied the same workaround as in #30 and downgraded xserver-xorg-video-intel to 2:2.99.910-0ubuntu1, all 3 now boot.

So it seems that i810 and i815 are both affected by the same bug.

Dan (danser) wrote :

This seems pretty catastrophic, and there doesn't appear to be a solution for systems running 14.10 as far as I can see. Is there any solution other than reinstalling 14.04 and pinning the xserver-xorg-video-intel package?

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
Aere Greenway (aere) wrote :

On 02/24/2015 03:08 PM, Dan wrote:
> This seems pretty catastrophic, and there doesn't appear to be a
> solution for systems running 14.10 as far as I can see. Is there any
> solution other than reinstalling 14.04 and pinning the xserver-xorg-
> video-intel package?
>
> ** Changed in: xserver-xorg-video-intel (Ubuntu)
> Status: Incomplete => Confirmed
>
Dan:

As I recall, there is a way (I don't remember how) to drop back to an
ordinary terminal display when in the blank black screen condition.

In that mode, I was able to do apt-get commands to un-install the new

xserver-xorg-video-intel

package, re-install the old one, and then lock the version to the old
level.

I don't remember the particulars of doing it.

--
Sincerely,
Aere

Christian Brandt (brandtc) wrote :

My problem with my i810 seems to be the same and the crude fix of reinstalling the old version through sudo apt-get install xserver-xorg-video-intel=2:2.99.910-0ubuntu1 and pinning it with sudo apt-mark hold xserver-xorg-video-intel=2:2.99.910-0ubuntu1 is working.

Let me tell you some background and guesswork why we have this problem. Because I haven't taken notes and the i810 computer is not at hands I might sound a bit fuzzy...

X11 itself is not enough for modern video output. You also need DRI, GLX, MESA and others which are usually seperate from X11 and X11 low level drivers but are still pretty low level themselves. Starting with Ubuntu 14.04 the official DRI/GLX-drivers no longer support i810 (maybe this problem is older but 12.04 definitly does not have the problem, not sure if GLX or DRI, either libgl1-mesa-dri or libgl1-mesa-glx) . This in return means you get no MESA/OpenGL and no accelerated video. This is an Upstream-Decision outside Ubuntu and I was unable to find any explanaition for this though it was hinted that a lack for DRI/GLX means that i810 support itself might not live for much longer in Xorg.

So I guess now is the time where i810 not only loses OpenGL and accelerated video upstream but is completely dropped from Xorg. Things look hopeless, already when i810-GLX/DRI got dropped upstream sounded totally uninterested in fixing it. Basically they suggested to compile your drivers manually based on older sources. And they sounded absolutely final on not fixing GLX/DRI.

This is a real pitty because I have several of these old, quiet, small computers with i810 around and they worked perfectly good with 10.04. I can only hope someone has the time to do a PPA with working DRI/GLX/Xorg-Intel810.

Aere Greenway (aere) wrote :

This problem appears to have been fixed in Lubuntu 15.04.

Aere Greenway, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1389904/comments/36 regarding this being fixed with an update. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers